import type { TableColumn } from '../base';
import { TableColumnSortDirection } from '../../table/types';
type SortableTableColumn = Pick<TableColumn, 'columnInternals'>;
type SortableTableColumnConstructor = abstract new (...args: any[]) => SortableTableColumn;
export declare function mixinSortableColumnAPI<TBase extends SortableTableColumnConstructor>(base: TBase): (abstract new (...args: any[]) => {
    sortingDisabled: boolean;
    sortIndex?: number | null;
    sortDirection: TableColumnSortDirection;
    /** @internal */
    sortingDisabledChanged(): void;
    /** @internal */
    sortDirectionChanged(): void;
    /** @internal */
    sortIndexChanged(): void;
    readonly columnInternals: import("../base/models/column-internals").ColumnInternals<unknown, import("../base/models/column-validator").ColumnValidator<[]>>;
}) & TBase;
export {};
